//已入库数据浏览
import request from "@/utils/request";

//申请实体借阅
export const applyEntityBorrow = params => {
  return request({
    url: "/point-strategy/v/archiveUse/applyEntityBorrow",
    method: "post",
    params
  });
};
//下载eep
export const downloadEEP = data => {
  return request({
    url: "/point-strategy/v/fileManage/downloadEEP",
    method: "post",
    data,
    responseType: "blob"
  });
};
//移交
export const transfer = params => {
  return request({
    url: "/point-strategy/v/fileManage/transfer",
    method: "get",
    params
  });
};
//移交eep
export const transferEEP = data => {
  return request({
    url: "/point-strategy/v/fileManage/transferEEP",
    method: "post",
    data,
    responseType: "blob"
  });
};
// 原文查询
export const searchFileContent = params => {
  return request({
    url: "/point-strategy/v/docSimple/selectFileNameAndContentByFileContent",
    method: "post",
    params
  });
};

// 查询门类对应过期档案
export const getExpire = params => {
  return request({
    url: "/point-strategy/v/oaArchiving/expiration",
    method: "post",
    params
  });
};
// 批量添加 监督指导
export const addSuperviseGuide = data => {
  return request({
    url: "/point-strategy/v/supervise/addSuperviseGuide",
    method: "post",
    data
  });
};

// 校验档案处在其他流程中，不能发起其他任何流程


export const checkFlowDataIng = data => {
  return request({
    url: "/point-strategy/v/approveApply/checkFlowDataIng",
    method: "post",
    data
  });
};
